# Link a catalog to a WhatsApp number

Links a catalog to a WhatsApp number.

```http
POST https://api.pozy.ai/v1/whatsapp/catalogs
```

- Area: WhatsApp / WhatsApp
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `catalogAccountId`, string
- `catalogId`, string, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/whatsapp/catalogs" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "catalogId": "6f2f2ffcf4ace3659342c4c2"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/catalogs", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    catalogId: "6f2f2ffcf4ace3659342c4c2"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/whatsapp/catalogs",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "catalogId": "6f2f2ffcf4ace3659342c4c2",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `wabaId`, string
- `catalogs`, array of object
  - `id`, string
  - `name`, string

```json
{
  "wabaId": "637a4cd33d3a96616841ce95",
  "catalogs": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme"
    }
  ]
}
```
